﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Diagram.Controls;

namespace AlignmentSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            diagram1.Model.AlignmentType = AlignmentType.BoundingRectangle;
            PropertyEditor property = new PropertyEditor();
            property.Diagram = diagram1;
            property.Dock = DockStyle.Right;
            this.Controls.Add(property);
        }

        private void Form1_Load_1(object sender, EventArgs e)
        {
            
        }

        private void toolStripButton1_Click(object sender, EventArgs e)
        {
            diagram1.SelectAll();
            diagram1.Refresh();
        }

        private void toolStripButton2_Click(object sender, EventArgs e)
        {
            diagram1.AlignLeft();
            diagram1.Refresh();
        }

        private void toolStripButton3_Click(object sender, EventArgs e)
        {
            diagram1.AlignRight();
            diagram1.Refresh();
        }

        private void toolStripButton4_Click(object sender, EventArgs e)
        {
            diagram1.AlignCenter();
            diagram1.Refresh();
        }

        private void toolStripButton5_Click(object sender, EventArgs e)
        {
            diagram1.Controller.ActivateTool("TextTool");
        }
    }
}
